---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations: {}
  labels:
    k8s.kuboard.cn/layer: gateway
    k8s.kuboard.cn/name: wu-lazy-cloud-heartbeat-client-start
  name: wu-lazy-cloud-heartbeat-client-start
  namespace: default
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      k8s.kuboard.cn/layer: gateway
      k8s.kuboard.cn/name: wu-lazy-cloud-heartbeat-client-start
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        k8s.kuboard.cn/layer: gateway
        k8s.kuboard.cn/name: wu-lazy-cloud-heartbeat-client-start
    spec:
      containers:
        - env:
            - name: spring.lazy.netty.client.inet-host
              value: wu-lazy-cloud-heartbeat-server.default
            - name: spring.lazy.netty.client.client-id
              value: wu-lazy-cloud-heartbeat-client-start
          image: >-
            registry.cn-hangzhou.aliyuncs.com/wu-lazy/wu-lazy-cloud-heartbeat-client-start:1.2.7-JDK17-NATIVE-SNAPSHOT
          imagePullPolicy: Always
          name: wu-lazy-cloud-heartbeat-client-start
          resources: {}
          securityContext:
            privileged: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30

